Create an account group for a company
curl --request POST \
--url https://openapi.pleo.io/v1/account-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"hidden": true
}
'import requests
url = "https://openapi.pleo.io/v1/account-groups"
payload = {
"name": "<string>",
"hidden": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', hidden: true})
};
fetch('https://openapi.pleo.io/v1/account-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"typeKey": "entertainment",
"hidden": true
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 401,
"error": "Forbidden",
"message": "user_scope_insufficient"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "user_scope_insufficient"
}Accounts
Create an account group for a company
deprecated
POST
/
account-groups
Create an account group for a company
Authorizations
Open API Bearer token
Body
application/json
Description of the account group
Type key of the account group
Available options:
entertainment, equipment_and_hardware, marketing_and_advertising, meals_and_drinks, office_expenses, phone_and_internet, services_and_consultancy, software, supplies, travel, other, no_suitable_category Is the account hidden/archived for the user
Response
An account group has been created
The unique UUID identifier of the account group
Description of the account group
Type key of the account group
Available options:
entertainment, equipment_and_hardware, marketing_and_advertising, meals_and_drinks, office_expenses, phone_and_internet, services_and_consultancy, software, supplies, travel, other, no_suitable_category Is the account hidden/archived for the user
Was this page helpful?